Subject: bug#41465: 28.0.50 (but also earlier versions); etags asserion error (with too many files?)

From: Gregor Zattler <[email-masked]>
Date: Sun, 24 May 2020 01:07:26 +0200

Hi Dmitry,
* Dmitry Gutov <[email-masked]> [2020-05-23; 23:22]:
> On 23.05.2020 11:34, Gregor Zattler wrote:
>> I attach these two files.
>
> Thank you. But I couldn't reproduce the error.
>
> Do you get the same result if you run
>
>    etags cs43130.c mac80211.h
>
> ?
>
> Are you sure this executable came from the Emacs tree? If you have a
> checkout of that development tree, can you run it from there? E.g.
>
>    path/to/emacs/lib-src/emacs cs43130.c mac80211.h

I did it again:

0 (master *) grfz@no:~/.cron.daily$ ~/src/emacs/lib-src/etags ~/src/linux/sound/soc/codecs/cs43130.c
etags: etags.c:1988: pfnote: Assertion `name == NULL || name[0] != '\0'' failed.
Aborted
134 (master *) grfz@no:~/.cron.daily$ /usr/bin/etags ~/src/linux//include/net/mac80211.h
etags: etags.c:1987: pfnote: Assertion `name == NULL || name[0] != '\0'' failed.
Aborted
134 (master *) grfz@no:~/.cron.daily$

This also happens with the binary from debian buster 10.4 ,
therefore I don't think it is caused by my specific build
options, which anyway are:

CFLAGS='-g -O2 -fdebug-prefix-map=/home/grfz/src/emacs=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-pie'

LDFLAGS='-Wl,-z,relro -no-pie'

CPPFLAGS='-Wdate-time -D_FORTIFY_SOURCE=2  '

./configure -C --prefix=/usr/local/stow/emacs-snapshot --with-file-notification=inotify --with-cairo --without-toolkit-scroll-bars --with-x-toolkit=gtk3 --with-sound=yes --without-gconf --with-mailutils --with-x=yes --enable-checking=yes --enable-check-lisp-object-type=yes --with-nativecomp

For me this assertion error is not a big problem since I now
exclude the linux src tree from the tags creation because of
emacs performance reasons.

Ciao; Gregor
--
 -... --- .-. . -.. ..--.. ...-.-